Name:           IBSimu
Version:        1.0.4
Release:        4%{?dist}
Summary:        Ion beam simulator

Group:          System Environment/Libraries
License:        GPLv2+

URL:            http://ibsimu.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/ibsimu/ibsimu/libibsimu-%{version}.tar.gz

#These two patches allow IBSimu to be built on RHEL5. The cairo requirement is to strict
#and a gtk call can be removed since it only provides tooltips
#Both patches are reported upstream:
Patch0 :        libibsimu-lower-cairo.patch
Patch1:         libibsimu-remove-gtk_widget_set_tooltip_text.patch

#size_t no longer defined in vector for new gcc++ 
#Reported upstream. 
Patch2:         libibsimu-cstddef.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%if 0%{?rhel} == 5
BuildRequires:  cairo-devel%{?_isa}
BuildRequires:  autoconf
# Needed on RHEL but not CentOS?
BuildRequires:  automake
%else
BuildRequires:  cairo-devel%{?_isa} >= 1.4.0
%endif
BuildRequires:  zlib-devel%{?_isa}
BuildRequires:  libpng-devel%{?_isa}
BuildRequires:  fontconfig-devel%{?_isa}
BuildRequires:  freetype-devel%{?_isa}
BuildRequires:  gtk2-devel%{?_isa}
BuildRequires:  gsl-devel%{?_isa}
BuildRequires:  doxygen%{?_isa}

%if 0%{?rhel} == 5
BuildRequires: graphviz-gd
%endif

%if %{?fedora}%{!?fedora:0} >= 9
BuildRequires:  tex(latex)
%else
%if %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  tex(latex)
%else
BuildRequires:  tetex-latex
%endif
%endif

%description
Ion Beam Simulator or IBSimu is an ion optical computer simulation package 
for ion optics, plasma extraction and space charge dominated ion beam
transport using Vlasov iteration. The code has several capabilities 
for solving electric fields in a defined geometry and tracking 
particles in electric and magnetic fields. The code is constructed 
as a C++ library for maximal versatility and openness.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n libibsimu-%{version}
%if 0%{?rhel} == 5
%patch0 -p1
%patch1 -p1
%endif
%patch2 -p1

%build
%if 0%{?rhel} == 5
autoreconf
%endif
%configure --disable-static
make %{?_smp_mflags}
make %{?_smp_mflags} doc

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean
rm -rf %{buildroot}

%check
make check

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libibsimu.so.*
%doc README COPYING

%files devel
%defattr(-,root,root,-)
%{_includedir}/ibsimu
%{_libdir}/libibsimu.so
%{_libdir}/pkgconfig/ibsimu.pc
%doc doc/html

%changelog
* Mon Apr 18 2011 Steve Traylen <steve.traylen@cern.ch> 1.0.4-4
- Add automake to BR for rhel but not centos?
- define size_t with libibsimu-cstddef.patch

* Mon Apr 18 2011 Steve Traylen <steve.traylen@cern.ch> 1.0.4-3
- Correct english in descripton.

* Thu Apr 7 2011 Steve Traylen <steve.traylen@cern.ch> 1.0.4-2
- Add libibsimu-lower-cairo.patch and
  libibsimu-remove-gtk_widget_set_tooltip_text.patch to allow
  building for RHEL5.

* Wed Apr 6 2011 Steve Traylen <steve.traylen@cern.ch> 1.0.4-1
- initial build

